.dashboard {
  padding: 30px;
}

.dashboard__help {
  margin-bottom: 40px;
}

.dashboard__help-title {
  font-weight: 600;
  font-size: 14px;
  margin-bottom: 8px;
}

.dashboard__help-description {
  margin: 0 0 16px;
  font-size: 13px;
  color: $color-neutral-900;
}

.dashboard__alert-button {
  margin-top: 12px;
}

.dashboard__container {
  display: flex;
}

.dashboard__sidebar {
  flex: 0 0 200px;
  width: 200px;
  margin-right: 40px;
}

.dashboard__sidebar-group {
  list-style: none;
  margin: 0 0 30px 0;
  padding: 0;

  li:not(:last-child) {
    margin-bottom: 4px;
  }
}

.dashboard__sidebar-title {
  font-size: 14px;
  font-weight: 600;
  color: $color-neutral-400;
  padding-bottom: 6px;
}

.dashboard__sidebar-link {
  @extend %ellipsis;

  position: relative;
  z-index: 1;
  display: block;
  line-height: 28px;
  color: $color-neutral-900;

  &:hover {
    text-decoration: none;
    color: $color-neutral-700;
  }

  &.dashboard__sidebar-link--light {
    color: $color-neutral-500;

    &:hover {
      color: $color-neutral-700;
    }
  }
}

.dashboard__content {
  min-width: 0;
  width: 100%;
}

.dashboard__group {
  margin-bottom: 30px;
}

.dashboard__group-head {
  display: flex;
  flex-wrap: nowrap;
  align-items: center;
  margin-bottom: 24px;
}

.dashboard__group-title {
  @extend %ellipsis;

  position: relative;
  font-size: 18px;
  line-height: 1.25;
  font-weight: 600;
  max-width: 100%;
  color: $color-neutral-900;
  min-width: 0;

  &:hover {
    text-decoration: none;
  }

  &.dashboard__group-title--loading::after {
    content: '';

    @include loading(14px);
    @include absolute(6px, 0, auto, auto);
  }
}

.dashboard__group-title-options {
  color: $color-neutral-900;

  .dashboard__group-title--loading & {
    visibility: hidden;
  }
}

.dashboard__group-title-icon {
  margin-left: 10px;
  font-size: 14px;
}

.dashboard__group-title-extra {
  display: flex;
  align-items: center;
  flex: 0 0;
  flex-wrap: nowrap;
}

.dashboard__group-items {
  list-style: none;
  margin: 0;
  padding: 0;
  display: flex;
  flex-wrap: wrap;
}

.dashboard__group-item {
  position: relative;
  z-index: 1;
  width: 50%;
  margin-bottom: 20px;

  @media screen and (min-width: $dashboard-breakpoint) {
    width: 25%;
  }
}

.dashboard__group-item-link {
  position: relative;
  display: flex;
  margin-right: 20px;

  &:hover {
    text-decoration: none;

    &::before {
      @include absolute(-8px);

      content: '';
      background-color: $color-neutral-100;
      border-radius: 3px;
      z-index: -1;
    }
  }
}

.dashboard__group-item-icon {
  @include center-text(32px, 14px);

  flex: 0 0 32px;
  background-color: $color-primary-500;
  border-radius: 3px;
  color: $white;
  font-size: 14px;
  margin-right: 12px;

  &.dashboard__group-item-icon--add {
    background-color: $color-success-500;
  }
}

.dashboard__group-item-name {
  @extend %ellipsis;

  color: $color-neutral-900;
  width: 100%;
  line-height: 32px;
}

.dashboard__create-link {
  color: $color-neutral-500;

  &:hover {
    text-decoration: none;
    color: $color-neutral-900;
  }
}
